Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.service
Class PersistenceServiceImpl

    java.lang.Object
      |
      +--org.apache.jetspeed.service.PersistenceServiceImpl

public class PersistenceServiceImpl
extends java.lang.Object
implements PersistenceService

Inner classes inherited from class org.apache.jetspeed.service.PersistenceService
`PersistenceService.Page`

Constructor Summary
`PersistenceServiceImpl()`

Method Summary
`java.lang.String` | `getName()` Returns the name of this service.
`org.apache.jetspeed.service.PersistenceServiceImpl.Page` | `getPage()` Returns the current page, ie. the page that the calling portlet resides on.
`java.util.Enumeration` | `getPages()` Returns an enumeration of pages that the persistence service manages for this portlet.
`void` | `init(org.apache.turbine.util.RunData aRunData, java.lang.Object[] aParams)` Initializes the newly created service with the given rundata object and parameters.
`void` | `removeAttribute(java.lang.String aName)`
`void` | `reset()` Resets the persistence service to forget about all attributes previously collected.
`void` | `setAttribute(java.lang.String aName, java.lang.String aValue)`
`void` | `setAttributes(java.lang.String aName, java.util.Vector aValues)`
`void` | `store()` Stores the current set of attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceServiceImpl

    public PersistenceServiceImpl()

Method Detail

### init

    public void init(org.apache.turbine.util.RunData aRunData,
                     java.lang.Object[] aParams)
              throws ServiceException

  Description copied from interface: Service
  Initializes the newly created service with the given rundata object and parameters.

  This method is called by the service factory. If no parameters are passed to the service factory the parameters are `null`.

  Tags copied from interface: Service
  Parameters:
    `aRunData` - the Turbine rundata
    `aParams` - the service-specific initialization parameters
  Throws:
    ServiceException - if the initialization of the service fails e.g. because the given parameter list is not correct

### getName

    public java.lang.String getName()

  Description copied from interface: Service
  Returns the name of this service.
  Tags copied from interface: Service
  Returns:
    the name

### setAttribute

    public void setAttribute(java.lang.String aName,
                             java.lang.String aValue)

### setAttributes

    public void setAttributes(java.lang.String aName,
                              java.util.Vector aValues)

### removeAttribute

    public void removeAttribute(java.lang.String aName)

### reset

    public void reset()

  Description copied from interface: PersistenceService
  Resets the persistence service to forget about all attributes previously collected.
  Specified by:
    reset in interface PersistenceService
  Tags copied from interface: PersistenceService
  Throws:
    ServiceException - if resetting the pages fails

### store

    public void store()

  Description copied from interface: PersistenceService
  Stores the current set of attributes. Any subsequent changes to the set of attributes or the attributes themselves will not be persistent until another call to store the attributes.
  Specified by:
    store in interface PersistenceService
  Tags copied from interface: PersistenceService
  Throws:
    ServiceException - if storing the pages fails

### getPage

    public org.apache.jetspeed.service.PersistenceServiceImpl.Page getPage()

  Description copied from interface: PersistenceService
  Returns the current page, ie. the page that the calling portlet resides on.
  Specified by:
    getPage in interface PersistenceService
  Tags copied from interface: PersistenceService
  Returns:
    the current page

### getPages

    public java.util.Enumeration getPages()

  Description copied from interface: PersistenceService
  Returns an enumeration of pages that the persistence service manages for this portlet.
  Specified by:
    getPages in interface PersistenceService
  Tags copied from interface: PersistenceService
  Returns:
    an enumeration of pages

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD